Skip to content
Start here

Show DNS Settings

client.DNS.Settings.Account.Get(ctx, query) (*SettingAccountGetResponse, error)
GET/accounts/{account_id}/dns_settings

Show DNS settings for an account

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Account DNS Settings WriteAccount DNS Settings Read
ParametersExpand Collapse
query SettingAccountGetParams
AccountID param.Field[string]

Identifier.

maxLength32
ReturnsExpand Collapse
type SettingAccountGetResponse struct{…}
ZoneDefaults SettingAccountGetResponseZoneDefaults
FlattenAllCNAMEs bool

Whether to flatten all CNAME records in the zone. Note that, due to DNS limitations, a CNAME record at the zone apex will always be flattened.

FoundationDNS bool

Whether to enable Foundation DNS Advanced Nameservers on the zone.

InternalDNS SettingAccountGetResponseZoneDefaultsInternalDNS

Settings for this internal zone.

ReferenceZoneID stringoptional

The ID of the zone to fallback to.

MultiProvider bool

Whether to enable multi-provider DNS, which causes Cloudflare to activate the zone even when non-Cloudflare NS records exist, and to respect NS records at the zone apex during outbound zone transfers.

Nameservers SettingAccountGetResponseZoneDefaultsNameservers

Settings determining the nameservers through which the zone should be available.

Type SettingAccountGetResponseZoneDefaultsNameserversType

Nameserver type

One of the following:
const SettingAccountGetResponseZoneDefaultsNameserversTypeCloudflareStandard SettingAccountGetResponseZoneDefaultsNameserversType = "cloudflare.standard"
const SettingAccountGetResponseZoneDefaultsNameserversTypeCloudflareStandardRandom SettingAccountGetResponseZoneDefaultsNameserversType = "cloudflare.standard.random"
const SettingAccountGetResponseZoneDefaultsNameserversTypeCustomAccount SettingAccountGetResponseZoneDefaultsNameserversType = "custom.account"
const SettingAccountGetResponseZoneDefaultsNameserversTypeCustomTenant SettingAccountGetResponseZoneDefaultsNameserversType = "custom.tenant"
NSTTL float64

The time to live (TTL) of the zone’s nameserver (NS) records.

maximum86400
minimum30
SecondaryOverrides bool

Allows a Secondary DNS zone to use (proxied) override records and CNAME flattening at the zone apex.

SOA SettingAccountGetResponseZoneDefaultsSOA

Components of the zone’s SOA record.

Expire float64optional

Time in seconds of being unable to query the primary server after which secondary servers should stop serving the zone.

maximum2419200
minimum86400
MinTTL float64optional

The time to live (TTL) for negative caching of records within the zone.

maximum86400
minimum60
MNAME stringoptional

The primary nameserver, which may be used for outbound zone transfers. If null, a Cloudflare-assigned value will be used.

Refresh float64optional

Time in seconds after which secondary servers should re-check the SOA record to see if the zone has been updated.

maximum86400
minimum600
Retry float64optional

Time in seconds after which secondary servers should retry queries after the primary server was unresponsive.

maximum86400
minimum600
RNAME stringoptional

The email address of the zone administrator, with the first label representing the local part of the email address.

TTL float64optional

The time to live (TTL) of the SOA record itself.

maximum86400
minimum300
ZoneMode SettingAccountGetResponseZoneDefaultsZoneMode

Whether the zone mode is a regular or CDN/DNS only zone.

One of the following:
const SettingAccountGetResponseZoneDefaultsZoneModeStandard SettingAccountGetResponseZoneDefaultsZoneMode = "standard"
const SettingAccountGetResponseZoneDefaultsZoneModeCDNOnly SettingAccountGetResponseZoneDefaultsZoneMode = "cdn_only"
const SettingAccountGetResponseZoneDefaultsZoneModeDNSOnly SettingAccountGetResponseZoneDefaultsZoneMode = "dns_only"

Show DNS Settings

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/dns"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  account, err := client.DNS.Settings.Account.Get(context.TODO(), dns.SettingAccountGetParams{
    AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", account.ZoneDefaults)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "zone_defaults": {
      "flatten_all_cnames": false,
      "foundation_dns": false,
      "internal_dns": {
        "reference_zone_id": "reference_zone_id"
      },
      "multi_provider": false,
      "nameservers": {
        "type": "cloudflare.standard"
      },
      "ns_ttl": 86400,
      "secondary_overrides": false,
      "soa": {
        "expire": 604800,
        "min_ttl": 1800,
        "mname": "kristina.ns.cloudflare.com",
        "refresh": 10000,
        "retry": 2400,
        "rname": "admin.example.com",
        "ttl": 3600
      },
      "zone_mode": "dns_only"
    }
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "zone_defaults": {
      "flatten_all_cnames": false,
      "foundation_dns": false,
      "internal_dns": {
        "reference_zone_id": "reference_zone_id"
      },
      "multi_provider": false,
      "nameservers": {
        "type": "cloudflare.standard"
      },
      "ns_ttl": 86400,
      "secondary_overrides": false,
      "soa": {
        "expire": 604800,
        "min_ttl": 1800,
        "mname": "kristina.ns.cloudflare.com",
        "refresh": 10000,
        "retry": 2400,
        "rname": "admin.example.com",
        "ttl": 3600
      },
      "zone_mode": "dns_only"
    }
  }
}